import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal();
colorScale.domain(['apple','lemon'])
				  .range(['#C11D1D','#EAE600']);

const radiusScale = scaleOrdinal();
radiusScale.domain(['apple','lemon'])
				  .range([50,30]);

const xPosition = (d,i) => i * 120 + 60;

export const fruitBowl = (selection, props ) => {
    const { fruits, height } = props;
  	const bowl = selection.selectAll('rect').data([null]);
  
  	bowl.enter().append('rect')
  							.attr('y',110)
  							.attr('width',620)
  							.attr('height',300)
  							.attr('rx',300/2)
    
  	const groups = selection.selectAll('g').data(fruits, d => d.id);
    const groupEnter = groups.enter().append('g');
  	groupEnter.merge(groups)  			 
  			.transition().duration(1000)	
  			.attr('transform', (d,i) => `translate(${i *  120 + 60},${height / 2})`);
  	groups.exit()
      .transition().duration(1000)
  		.attr('r',0) 
      .remove();
      
    groupEnter.append('circle')      			  					
           .merge(groups.select('circle'))  						
      				.attr('fill',d => colorScale(d.type))
  				.transition().duration(1000)	  						
        			.attr('r',d => radiusScale(d.type));
  
		groupEnter.append('text')      			  					
           .merge(groups.select('text'))  						
      				.text(d => d.type)
  						.attr('y', 100);  				
    
}
